# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de emisores de tarjetas de credito

# Programas 
NAME     = emitacre.4ge 
OBJFILES = facglo001.4gl facmae001.4gl facqbe001.4gl 
FRMFILES = facmae001a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
